function [hipotesis,instance]=FindS(dtTraining)

% Deskripsi : digunakan untuk mendapatkan keputusan berdasarkan data
%             dengan metode Find-S
% Input : dtTraining = data training
% Output : hipotesis = keputusan yang dihasilkan
%          instance = jenis keputusan
%
% 2006 (c) Machine Learning Team
% Politeknik Elektronika Negeri Surabaya - ITS
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


nData=size(dtTraining,1);
nAttribut=size(dtTraining,2);

nInstance=1;
instance{1}=dtTraining{1,nAttribut};
for i=2:nData
    sw=0;
    for k=1:nInstance
        if strcmp(dtTraining{i,nAttribut},instance{k})==1
            sw=1;    
        end
    end
    if(sw==0)
        nInstance=nInstance+1;
        instance(nInstance)=dtTraining(i,nAttribut);
    end
end

for n=1:nInstance
    
nh=0;
for i=1:nData
    if strcmp(dtTraining{i,nAttribut},instance{n})==1
        nh=nh+1;
        dataH(nh,:)=dtTraining(i,:);
    end
end
hipotesis(n,:)=dataH(1,2:nAttribut-1);
for i=2:nh
    for j=2:nAttribut-1
        if strcmp(hipotesis(n,j-1),'*')==0
            if strcmp(hipotesis{n,j-1},dataH{i,j})==0
                hipotesis{n,j-1}='*';    
            end
        end
    end
end

end