function keputusan=Bayes(dataTest, dtTraining)

% Deskripsi : untuk klasifikasi dengan metode Naive Bayes Classifier
% Input : dataTest = data yang akan diklasifikasi
%         dtTraining = data training
% Output : keputusan = keputusan hasil klasifikasi
%
% 2006 (c) Machine Learning Team
% Politeknik Elektronika Negeri Surabaya - ITS
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

nData=size(dtTraining,1);
nAttribut=size(dtTraining,2);

for n=1:nAttribut
nInstance(n)=1;
instance{n,1}=dtTraining{1,n};
for i=2:nData
    sw=0;
    for k=1:nInstance(n)
        if strcmp(dtTraining{i,n},instance{n,k})==1
            sw=1;    
        end
    end
    if(sw==0)
        nInstance(n)=nInstance(n)+1;
        instance(n,nInstance(n))=dtTraining(i,n);
    end
end
end

for n=1:nInstance(nAttribut)
    np(n)=0;
    for i=1:nData
        if strcmp(instance{nAttribut,n},dtTraining{i,nAttribut})==1
            np(n)=np(n)+1;   
        end
    end
    nq(n)=1;
    for i=2:nAttribut-1
        nk=0;
        for j=1:nData
            if strcmp(dataTest{i-1},dtTraining(j,i))==1 & strcmp(instance{nAttribut,n},dtTraining{j,nAttribut})==1
                nk=nk+1;
            end
        end
        nk=nk/np(n);
%        fprintf('%s %1.2f\n',dataTest{i-1},nk);
        nq(n)=nq(n)*nk;
    end
    fprintf('P(A|%s)=%1.2f\n',instance{nAttribut,n},nq(n));
end

